if select(2, UnitClass("player")) ~= 'DRUID' then return end

local point = nil
  
local function map(frame, ...)
	if frame then
		local func = frame:GetScript('OnEvent')
		if func then func(frame, 'UNIT_COMBO_POINTS', 'player') end
		return map(...)
	end
end
 
local frame = CreateFrame('frame')
frame:RegisterEvent('UNIT_AURA')
frame:RegisterEvent('ACTIVE_TALENT_GROUP_CHANGED') 
frame:RegisterEvent('PLAYER_TALENT_UPDATE') 
frame:RegisterEvent('INSPECT_TALENT_READY')
frame:SetScript('OnEvent', function(self, event)
	if GetPrimaryTalentTree() == 1 then
		local _,_,_,count = UnitBuff('player', GetSpellInfo(81192)) -- Lunar Shower
		if count ~= 0 then
			point = count
			return map(GetFramesRegisteredForEvent('UNIT_COMBO_POINTS'))
		end
	elseif GetPrimaryTalentTree() == 2 then
		local _,_,_,count,_,_,_,caster = UnitDebuff('target', GetSpellInfo(33745)) -- Lacerate
		if count ~= 0 then
			point = count
			return map(GetFramesRegisteredForEvent('UNIT_COMBO_POINTS'))
		end
		if caster ~= 'player' then count = 0 end	-- hide display if not from player
	end
end)
 
local UnitExists = UnitExists
local oldGetComboPoints = GetComboPoints
GetComboPoints = function(...)
	return (...) == 'player' and point or UnitExists('target') and point or oldGetComboPoints(...)
end