﻿function GetBannered_OnLoad()
	GetBanneredFrame:RegisterEvent("COMBAT_LOG_EVENT_UNFILTERED")
	GetBanneredFrame:RegisterEvent("PLAYER_DEAD")

	-- Slash Commands
	SlashCmdList["GetBannered"] = GetBannered_SlashCommands
	SLASH_GetBannered1 = "/gb"
	SLASH_GetBannered2 = "/getbannered"
end

-- Default Settings
if GB_SkullBanner == nil then
	GB_SkullBanner = true
end
if GB_DemoralizingBanner == nil then
	GB_DemoralizingBanner = true
end
if GB_MockingBanner == nil then
	GB_MockingBanner = true
end
if GB_Party == nil then
	GB_Party = true
end
if GB_Raid == nil then
	GB_Raid = true
end
if GB_PartyInstance == nil then
	GB_PartyInstance = true
end
if GB_RaidInstance == nil then
	GB_RaidInstance = true
end
if GB_Arena == nil then
	GB_Arena = true
end
if GB_Battleground == nil then
	GB_Battleground = true
end

-- Message Format
local MessageFormat = "%s %s."

-- Channels
local BattlegroundChannel		= "INSTANCE_CHAT"
local ArenaChannel				= "INSTANCE_CHAT"
local RaidInstanceChannel		= "INSTANCE_CHAT"
local PartyInstanceChannel		= "INSTANCE_CHAT"
local RaidChannel				= "RAID"
local PartyChannel				= "PARTY"

local SkullBannerUsedTime
local SkullBannerFlagDown
local SkullBannerUptime = 10
local DemoralizingBannerUsedTime
local DemoralizingBannerFlagDown
local DemoralizingBannerUptime = 15
local MockingBannerUsedTime
local MockingBannerFlagDown
local MockingBannerUptime = 30

function GetBannered_OnEvent(self, event, ...)
	if event == "PLAYER_DEAD" then
		if IsInGroup(LE_PARTY_CATEGORY_INSTANCE) and IsInInstance() then
			if select(2, IsInInstance()) == "pvp" then
				if GB_SkullBanner == true then
					if SkullBannerFlagDown == true then
						local Message = format(MessageFormat, GetSpellLink(114207), GB_Faded)
						SendChatMessage(Message, BattlegroundChannel)
						SkullBannerFlagDown = false
					end
				end
				if GB_DemoralizingBanner == true then
					if DemoralizingBannerFlagDown == true then
						local Message = format(MessageFormat, GetSpellLink(114203), GB_Faded)
						SendChatMessage(Message, BattlegroundChannel)
						DemoralizingBannerFlagDown = false
					end
				end
				if GB_MockingBanner == true then
					if MockingBannerFlagDown == true then
						local Message = format(MessageFormat, GetSpellLink(114192), GB_Faded)
						SendChatMessage(Message, BattlegroundChannel)
						MockingBannerFlagDown = false
					end
				end
			elseif select(2, IsInInstance()) == "arena" then
				if GB_SkullBanner == true then
					if SkullBannerFlagDown == true then
						local Message = format(MessageFormat, GetSpellLink(114207), GB_Faded)
						SendChatMessage(Message, ArenaChannel)
						SkullBannerFlagDown = false
					end
				end
				if GB_DemoralizingBanner == true then
					if DemoralizingBannerFlagDown == true then
						local Message = format(MessageFormat, GetSpellLink(114203), GB_Faded)
						SendChatMessage(Message, ArenaChannel)
						DemoralizingBannerFlagDown = false
					end
				end
				if GB_MockingBanner == true then
					if MockingBannerFlagDown == true then
						local Message = format(MessageFormat, GetSpellLink(114192), GB_Faded)
						SendChatMessage(Message, ArenaChannel)
						MockingBannerFlagDown = false
					end
				end
			elseif select(2, IsInInstance()) == "raid" then
				if GB_SkullBanner == true then
					if SkullBannerFlagDown == true then
						local Message = format(MessageFormat, GetSpellLink(114207), GB_Faded)
						SendChatMessage(Message, RaidInstanceChannel)
						SkullBannerFlagDown = false
					end
				end
				if GB_DemoralizingBanner == true then
					if DemoralizingBannerFlagDown == true then
						local Message = format(MessageFormat, GetSpellLink(114203), GB_Faded)
						SendChatMessage(Message, RaidInstanceChannel)
						DemoralizingBannerFlagDown = false
					end
				end
				if GB_MockingBanner == true then
					if MockingBannerFlagDown == true then
						local Message = format(MessageFormat, GetSpellLink(114192), GB_Faded)
						SendChatMessage(Message, RaidInstanceChannel)
						MockingBannerFlagDown = false
					end
				end
			elseif select(2, IsInInstance()) == "party" then
				if GB_SkullBanner == true then
					if SkullBannerFlagDown == true then
						local Message = format(MessageFormat, GetSpellLink(114207), GB_Faded)
						SendChatMessage(Message, PartyInstanceChannel)
						SkullBannerFlagDown = false
					end
				end
				if GB_DemoralizingBanner == true then
					if DemoralizingBannerFlagDown == true then
						local Message = format(MessageFormat, GetSpellLink(114203), GB_Faded)
						SendChatMessage(Message, PartyInstanceChannel)
						DemoralizingBannerFlagDown = false
					end
				end
				if GB_MockingBanner == true then
					if MockingBannerFlagDown == true then
						local Message = format(MessageFormat, GetSpellLink(114192), GB_Faded)
						SendChatMessage(Message, PartyInstanceChannel)
						MockingBannerFlagDown = false
					end
				end
			elseif select(2, IsInInstance()) == nil then
				if GB_SkullBanner == true then
					if SkullBannerFlagDown == true then
						local Message = format(MessageFormat, GetSpellLink(114207), GB_Faded)
						SendChatMessage(Message, PartyInstanceChannel)
						SkullBannerFlagDown = false
					end
				end
				if GB_DemoralizingBanner == true then
					if DemoralizingBannerFlagDown == true then
						local Message = format(MessageFormat, GetSpellLink(114203), GB_Faded)
						SendChatMessage(Message, PartyInstanceChannel)
						DemoralizingBannerFlagDown = false
					end
				end
				if GB_MockingBanner == true then
					if MockingBannerFlagDown == true then
						local Message = format(MessageFormat, GetSpellLink(114192), GB_Faded)
						SendChatMessage(Message, PartyInstanceChannel)
						MockingBannerFlagDown = false
					end
				end
			end
		else
			if IsInRaid() == true then
				if GB_SkullBanner == true then
					if SkullBannerFlagDown == true then
						local Message = format(MessageFormat, GetSpellLink(114207), GB_Faded)
						SendChatMessage(Message, RaidChannel)
						SkullBannerFlagDown = false
					end
				end
				if GB_DemoralizingBanner == true then
					if DemoralizingBannerFlagDown == true then
						local Message = format(MessageFormat, GetSpellLink(114203), GB_Faded)
						SendChatMessage(Message, RaidChannel)
						DemoralizingBannerFlagDown = false
					end
				end
				if GB_MockingBanner == true then
					if MockingBannerFlagDown == true then
						local Message = format(MessageFormat, GetSpellLink(114192), GB_Faded)
						SendChatMessage(Message, RaidChannel)
						MockingBannerFlagDown = false
					end
				end
			elseif GetNumSubgroupMembers() ~= nil and GetNumSubgroupMembers() > 0 then
				if GB_SkullBanner == true then
					if SkullBannerFlagDown == true then
						local Message = format(MessageFormat, GetSpellLink(114207), GB_Faded)
						SendChatMessage(Message, PartyChannel)
						SkullBannerFlagDown = false
					end
				end
				if GB_DemoralizingBanner == true then
					if DemoralizingBannerFlagDown == true then
						local Message = format(MessageFormat, GetSpellLink(114203), GB_Faded)
						SendChatMessage(Message, PartyChannel)
						DemoralizingBannerFlagDown = false
					end
				end
				if GB_MockingBanner == true then
					if MockingBannerFlagDown == true then
						local Message = format(MessageFormat, GetSpellLink(114192), GB_Faded)
						SendChatMessage(Message, PartyChannel)
						MockingBannerFlagDown = false
					end
				end
			end
		end
	end
	if event == "COMBAT_LOG_EVENT_UNFILTERED" then
		local eventType, sourceGUID, destGUID, id
		if select(4, GetBuildInfo()) >= 50100 then
			BattlegroundChannel = "INSTANCE_CHAT"
			ArenaChannel = "INSTANCE_CHAT"
			RaidInstanceChannel = "INSTANCE_CHAT"
			PartyInstanceChannel = "INSTANCE_CHAT"
			eventType, sourceGUID, destGUID, id = select(2, ...), select(4, ...), select(8, ...), select(12, ...)
		elseif select(4, GetBuildInfo()) >= 40200 then
			BattlegroundChannel = "BATTLEGROUND"
			ArenaChannel = "PARTY"
			RaidInstanceChannel = "RAID"
			PartyInstanceChannel = "PARTY"
			eventType, sourceGUID, destGUID, id = select(2, ...), select(4, ...), select(8, ...), select(12, ...)
		elseif select(4, GetBuildInfo()) >= 40100 then
			BattlegroundChannel = "BATTLEGROUND"
			ArenaChannel = "PARTY"
			RaidInstanceChannel = "RAID"
			PartyInstanceChannel = "PARTY"
			eventType, sourceGUID, destGUID, id = select(2, ...), select(4, ...), select(7, ...), select(10, ...)
		elseif select(4, GetBuildInfo()) >= 40000 then
			BattlegroundChannel = "BATTLEGROUND"
			ArenaChannel = "PARTY"
			RaidInstanceChannel = "RAID"
			PartyInstanceChannel = "PARTY"
			eventType, sourceGUID, destGUID, id = select(2, ...), select(3, ...), select(6, ...), select(9, ...)
		elseif select(4, GetBuildInfo()) >= 20400 then
			BattlegroundChannel = "BATTLEGROUND"
			ArenaChannel = "PARTY"
			RaidInstanceChannel = "RAID"
			PartyInstanceChannel = "PARTY"
			eventType, sourceGUID, destGUID, id = select(2, ...), select(3, ...), select(6, ...), select(9, ...)
		end

		if IsInGroup(LE_PARTY_CATEGORY_INSTANCE) and IsInInstance() then
			if select(2, IsInInstance()) == "pvp" then
				if GB_Battleground == true then
					if eventType == "SPELL_SUMMON" then
						if id == 114207 then
							if GB_SkullBanner == true then
								if sourceGUID == UnitGUID("player") then
									SkullBannerUsedTime = GetTime()
									SkullBannerFlagDown = true
									local Message = format(MessageFormat, GetSpellLink(id), GB_UsedOn)
									SendChatMessage(Message, BattlegroundChannel)
								end
							end
						elseif id == 114203 then
							if GB_DemoralizingBanner == true then
								if sourceGUID == UnitGUID("player") then
									DemoralizingBannerUsedTime = GetTime()
									DemoralizingBannerFlagDown = true
									local Message = format(MessageFormat, GetSpellLink(id), GB_UsedOn)
									SendChatMessage(Message, BattlegroundChannel)
								end
							end
						elseif id == 114192 then
							if GB_MockingBanner == true then
								if sourceGUID == UnitGUID("player") then
									MockingBannerUsedTime = GetTime()
									MockingBannerFlagDown = true
									local Message = format(MessageFormat, GetSpellLink(id), GB_UsedOn)
									SendChatMessage(Message, BattlegroundChannel)
								end
							end
						end
					end
					if GB_SkullBanner == true then
						if SkullBannerFlagDown == true then
							if GetTime() >= SkullBannerUsedTime + SkullBannerUptime then
								local Message = format(MessageFormat, GetSpellLink(114207), GB_Faded)
								SendChatMessage(Message, BattlegroundChannel)
								SkullBannerFlagDown = false
							end
						end
					end
					if GB_DemoralizingBanner == true then
						if DemoralizingBannerFlagDown == true then
							if GetTime() >= DemoralizingBannerUsedTime + DemoralizingBannerUptime then
								local Message = format(MessageFormat, GetSpellLink(114203), GB_Faded)
								SendChatMessage(Message, BattlegroundChannel)
								DemoralizingBannerFlagDown = false
							end
						end
					end
					if GB_MockingBanner == true then
						if MockingBannerFlagDown == true then
							if GetTime() >= MockingBannerUsedTime + MockingBannerUptime then
								local Message = format(MessageFormat, GetSpellLink(114192), GB_Faded)
								SendChatMessage(Message, BattlegroundChannel)
								MockingBannerFlagDown = false
							end
						end
					end
				end
			elseif select(2, IsInInstance()) == "arena" then
				if GB_Arena == true then
					if eventType == "SPELL_SUMMON" then
						if id == 114207 then
							if GB_SkullBanner == true then
								if sourceGUID == UnitGUID("player") then
									SkullBannerUsedTime = GetTime()
									SkullBannerFlagDown = true
									local Message = format(MessageFormat, GetSpellLink(id), GB_UsedOn)
									SendChatMessage(Message, ArenaChannel)
								end
							end
						elseif id == 114203 then
							if GB_DemoralizingBanner == true then
								if sourceGUID == UnitGUID("player") then
									DemoralizingBannerUsedTime = GetTime()
									DemoralizingBannerFlagDown = true
									local Message = format(MessageFormat, GetSpellLink(id), GB_UsedOn)
									SendChatMessage(Message, ArenaChannel)
								end
							end
						elseif id == 114192 then
							if GB_MockingBanner == true then
								if sourceGUID == UnitGUID("player") then
									MockingBannerUsedTime = GetTime()
									MockingBannerFlagDown = true
									local Message = format(MessageFormat, GetSpellLink(id), GB_UsedOn)
									SendChatMessage(Message, ArenaChannel)
								end
							end
						end
					end
					if GB_SkullBanner == true then
						if SkullBannerFlagDown == true then
							if GetTime() >= SkullBannerUsedTime + SkullBannerUptime then
								local Message = format(MessageFormat, GetSpellLink(114207), GB_Faded)
								SendChatMessage(Message, ArenaChannel)
								SkullBannerFlagDown = false
							end
						end
					end
					if GB_DemoralizingBanner == true then
						if DemoralizingBannerFlagDown == true then
							if GetTime() >= DemoralizingBannerUsedTime + DemoralizingBannerUptime then
								local Message = format(MessageFormat, GetSpellLink(114203), GB_Faded)
								SendChatMessage(Message, ArenaChannel)
								DemoralizingBannerFlagDown = false
							end
						end
					end
					if GB_MockingBanner == true then
						if MockingBannerFlagDown == true then
							if GetTime() >= MockingBannerUsedTime + MockingBannerUptime then
								local Message = format(MessageFormat, GetSpellLink(114192), GB_Faded)
								SendChatMessage(Message, ArenaChannel)
								MockingBannerFlagDown = false
							end
						end
					end
				end
			elseif select(2, IsInInstance()) == "raid" then
				if GB_RaidInstance == true then
					if eventType == "SPELL_SUMMON" then
						if id == 114207 then
							if GB_SkullBanner == true then
								if sourceGUID == UnitGUID("player") then
									SkullBannerUsedTime = GetTime()
									SkullBannerFlagDown = true
									local Message = format(MessageFormat, GetSpellLink(id), GB_UsedOn)
									SendChatMessage(Message, RaidInstanceChannel)
								end
							end
						elseif id == 114203 then
							if GB_DemoralizingBanner == true then
								if sourceGUID == UnitGUID("player") then
									DemoralizingBannerUsedTime = GetTime()
									DemoralizingBannerFlagDown = true
									local Message = format(MessageFormat, GetSpellLink(id), GB_UsedOn)
									SendChatMessage(Message, RaidInstanceChannel)
								end
							end
						elseif id == 114192 then
							if GB_MockingBanner == true then
								if sourceGUID == UnitGUID("player") then
									MockingBannerUsedTime = GetTime()
									MockingBannerFlagDown = true
									local Message = format(MessageFormat, GetSpellLink(id), GB_UsedOn)
									SendChatMessage(Message, RaidInstanceChannel)
								end
							end
						end
					end
					if GB_SkullBanner == true then
						if SkullBannerFlagDown == true then
							if GetTime() >= SkullBannerUsedTime + SkullBannerUptime then
								local Message = format(MessageFormat, GetSpellLink(114207), GB_Faded)
								SendChatMessage(Message, RaidInstanceChannel)
								SkullBannerFlagDown = false
							end
						end
					end
					if GB_DemoralizingBanner == true then
						if DemoralizingBannerFlagDown == true then
							if GetTime() >= DemoralizingBannerUsedTime + DemoralizingBannerUptime then
								local Message = format(MessageFormat, GetSpellLink(114203), GB_Faded)
								SendChatMessage(Message, RaidInstanceChannel)
								DemoralizingBannerFlagDown = false
							end
						end
					end
					if GB_MockingBanner == true then
						if MockingBannerFlagDown == true then
							if GetTime() >= MockingBannerUsedTime + MockingBannerUptime then
								local Message = format(MessageFormat, GetSpellLink(114192), GB_Faded)
								SendChatMessage(Message, RaidInstanceChannel)
								MockingBannerFlagDown = false
							end
						end
					end
				end
			elseif select(2, IsInInstance()) == "party" then
				if GB_PartyInstance == true then
					if eventType == "SPELL_SUMMON" then
						if id == 114207 then
							if GB_SkullBanner == true then
								if sourceGUID == UnitGUID("player") then
									SkullBannerUsedTime = GetTime()
									SkullBannerFlagDown = true
									local Message = format(MessageFormat, GetSpellLink(id), GB_UsedOn)
									SendChatMessage(Message, PartyInstanceChannel)
								end
							end
						elseif id == 114203 then
							if GB_DemoralizingBanner == true then
								if sourceGUID == UnitGUID("player") then
									DemoralizingBannerUsedTime = GetTime()
									DemoralizingBannerFlagDown = true
									local Message = format(MessageFormat, GetSpellLink(id), GB_UsedOn)
									SendChatMessage(Message, PartyInstanceChannel)
								end
							end
						elseif id == 114192 then
							if GB_MockingBanner == true then
								if sourceGUID == UnitGUID("player") then
									MockingBannerUsedTime = GetTime()
									MockingBannerFlagDown = true
									local Message = format(MessageFormat, GetSpellLink(id), GB_UsedOn)
									SendChatMessage(Message, PartyInstanceChannel)
								end
							end
						end
					end
					if GB_SkullBanner == true then
						if SkullBannerFlagDown == true then
							if GetTime() >= SkullBannerUsedTime + SkullBannerUptime then
								local Message = format(MessageFormat, GetSpellLink(114207), GB_Faded)
								SendChatMessage(Message, PartyInstanceChannel)
								SkullBannerFlagDown = false
							end
						end
					end
					if GB_DemoralizingBanner == true then
						if DemoralizingBannerFlagDown == true then
							if GetTime() >= DemoralizingBannerUsedTime + DemoralizingBannerUptime then
								local Message = format(MessageFormat, GetSpellLink(114203), GB_Faded)
								SendChatMessage(Message, PartyInstanceChannel)
								DemoralizingBannerFlagDown = false
							end
						end
					end
					if GB_MockingBanner == true then
						if MockingBannerFlagDown == true then
							if GetTime() >= MockingBannerUsedTime + MockingBannerUptime then
								local Message = format(MessageFormat, GetSpellLink(114192), GB_Faded)
								SendChatMessage(Message, PartyInstanceChannel)
								MockingBannerFlagDown = false
							end
						end
					end
				end
			elseif select(2, IsInInstance()) == nil then
				if GB_PartyInstance == true then
					if eventType == "SPELL_SUMMON" then
						if id == 114207 then
							if GB_SkullBanner == true then
								if sourceGUID == UnitGUID("player") then
									SkullBannerUsedTime = GetTime()
									SkullBannerFlagDown = true
									local Message = format(MessageFormat, GetSpellLink(id), GB_UsedOn)
									SendChatMessage(Message, PartyInstanceChannel)
								end
							end
						elseif id == 114203 then
							if GB_DemoralizingBanner == true then
								if sourceGUID == UnitGUID("player") then
									DemoralizingBannerUsedTime = GetTime()
									DemoralizingBannerFlagDown = true
									local Message = format(MessageFormat, GetSpellLink(id), GB_UsedOn)
									SendChatMessage(Message, PartyInstanceChannel)
								end
							end
						elseif id == 114192 then
							if GB_MockingBanner == true then
								if sourceGUID == UnitGUID("player") then
									MockingBannerUsedTime = GetTime()
									MockingBannerFlagDown = true
									local Message = format(MessageFormat, GetSpellLink(id), GB_UsedOn)
									SendChatMessage(Message, PartyInstanceChannel)
								end
							end
						end
					end
					if GB_SkullBanner == true then
						if SkullBannerFlagDown == true then
							if GetTime() >= SkullBannerUsedTime + SkullBannerUptime then
								local Message = format(MessageFormat, GetSpellLink(114207), GB_Faded)
								SendChatMessage(Message, PartyInstanceChannel)
								SkullBannerFlagDown = false
							end
						end
					end
					if GB_DemoralizingBanner == true then
						if DemoralizingBannerFlagDown == true then
							if GetTime() >= DemoralizingBannerUsedTime + DemoralizingBannerUptime then
								local Message = format(MessageFormat, GetSpellLink(114203), GB_Faded)
								SendChatMessage(Message, PartyInstanceChannel)
								DemoralizingBannerFlagDown = false
							end
						end
					end
					if GB_MockingBanner == true then
						if MockingBannerFlagDown == true then
							if GetTime() >= MockingBannerUsedTime + MockingBannerUptime then
								local Message = format(MessageFormat, GetSpellLink(114192), GB_Faded)
								SendChatMessage(Message, PartyInstanceChannel)
								MockingBannerFlagDown = false
							end
						end
					end
				end
			end
		else
			if IsInRaid() == true then
				if GB_Raid == true then
					if eventType == "SPELL_SUMMON" then
						if id == 114207 then
							if GB_SkullBanner == true then
								if sourceGUID == UnitGUID("player") then
									SkullBannerUsedTime = GetTime()
									SkullBannerFlagDown = true
									local Message = format(MessageFormat, GetSpellLink(id), GB_UsedOn)
									SendChatMessage(Message, RaidChannel)
								end
							end
						elseif id == 114203 then
							if GB_DemoralizingBanner == true then
								if sourceGUID == UnitGUID("player") then
									DemoralizingBannerUsedTime = GetTime()
									DemoralizingBannerFlagDown = true
									local Message = format(MessageFormat, GetSpellLink(id), GB_UsedOn)
									SendChatMessage(Message, RaidChannel)
								end
							end
						elseif id == 114192 then
							if GB_MockingBanner == true then
								if sourceGUID == UnitGUID("player") then
									MockingBannerUsedTime = GetTime()
									MockingBannerFlagDown = true
									local Message = format(MessageFormat, GetSpellLink(id), GB_UsedOn)
									SendChatMessage(Message, RaidChannel)
								end
							end
						end
					end
					if GB_SkullBanner == true then
						if SkullBannerFlagDown == true then
							if GetTime() >= SkullBannerUsedTime + SkullBannerUptime then
								local Message = format(MessageFormat, GetSpellLink(114207), GB_Faded)
								SendChatMessage(Message, RaidChannel)
								SkullBannerFlagDown = false
							end
						end
					end
					if GB_DemoralizingBanner == true then
						if DemoralizingBannerFlagDown == true then
							if GetTime() >= DemoralizingBannerUsedTime + DemoralizingBannerUptime then
								local Message = format(MessageFormat, GetSpellLink(114203), GB_Faded)
								SendChatMessage(Message, RaidChannel)
								DemoralizingBannerFlagDown = false
							end
						end
					end
					if GB_MockingBanner == true then
						if MockingBannerFlagDown == true then
							if GetTime() >= MockingBannerUsedTime + MockingBannerUptime then
								local Message = format(MessageFormat, GetSpellLink(114192), GB_Faded)
								SendChatMessage(Message, RaidChannel)
								MockingBannerFlagDown = false
							end
						end
					end
				end
			elseif GetNumSubgroupMembers() ~= nil and GetNumSubgroupMembers() > 0 then
				if GB_Party == true then
					if eventType == "SPELL_SUMMON" then
						if id == 114207 then
							if GB_SkullBanner == true then
								if sourceGUID == UnitGUID("player") then
									SkullBannerUsedTime = GetTime()
									SkullBannerFlagDown = true
									local Message = format(MessageFormat, GetSpellLink(id), GB_UsedOn)
									SendChatMessage(Message, PartyChannel)
								end
							end
						elseif id == 114203 then
							if GB_DemoralizingBanner == true then
								if sourceGUID == UnitGUID("player") then
									DemoralizingBannerUsedTime = GetTime()
									DemoralizingBannerFlagDown = true
									local Message = format(MessageFormat, GetSpellLink(id), GB_UsedOn)
									SendChatMessage(Message, PartyChannel)
								end
							end
						elseif id == 114192 then
							if GB_MockingBanner == true then
								if sourceGUID == UnitGUID("player") then
									MockingBannerUsedTime = GetTime()
									MockingBannerFlagDown = true
									local Message = format(MessageFormat, GetSpellLink(id), GB_UsedOn)
									SendChatMessage(Message, PartyChannel)
								end
							end
						end
					end
					if GB_SkullBanner == true then
						if SkullBannerFlagDown == true then
							if GetTime() >= SkullBannerUsedTime + SkullBannerUptime then
								local Message = format(MessageFormat, GetSpellLink(114207), GB_Faded)
								SendChatMessage(Message, PartyChannel)
								SkullBannerFlagDown = false
							end
						end
					end
					if GB_DemoralizingBanner == true then
						if DemoralizingBannerFlagDown == true then
							if GetTime() >= DemoralizingBannerUsedTime + DemoralizingBannerUptime then
								local Message = format(MessageFormat, GetSpellLink(114203), GB_Faded)
								SendChatMessage(Message, PartyChannel)
								DemoralizingBannerFlagDown = false
							end
						end
					end
					if GB_MockingBanner == true then
						if MockingBannerFlagDown == true then
							if GetTime() >= MockingBannerUsedTime + MockingBannerUptime then
								local Message = format(MessageFormat, GetSpellLink(114192), GB_Faded)
								SendChatMessage(Message, PartyChannel)
								MockingBannerFlagDown = false
							end
						end
					end
				end
			end
		end
	end
end

function GetBannered_SlashCommands(arg1)
	local arg1 = string.lower(arg1)
	if arg1 == "" then
		GetBannered_PrintSlashMenu()
	elseif arg1 == "sb" or arg1 == "skullbanner" or arg1 == "skull banner" then
		GB_SkullBanner = not GB_SkullBanner
		if GB_SkullBanner == true then
			print("|cFF50C0FF"..GB_Opt_SkullBanner..": |cFFADFF2F"..GB_Opt_Enable.."|cFFFFFFFF")
		else
			print("|cFF50C0FF"..GB_Opt_SkullBanner..": |cFFFF4500"..GB_Opt_Disable.."|cFFFFFFFF")
		end
	elseif arg1 == "db" or arg1 == "demoralizingbanner" or arg1 == "demoralizing banner" or arg1 == "demobanner" or arg1 == "demo banner" then
		GB_DemoralizingBanner = not GB_DemoralizingBanner
		if GB_DemoralizingBanner == true then
			print("|cFF50C0FF"..GB_Opt_DemoralizingBanner..": |cFFADFF2F"..GB_Opt_Enable.."|cFFFFFFFF")
		else
			print("|cFF50C0FF"..GB_Opt_DemoralizingBanner..": |cFFFF4500"..GB_Opt_Disable.."|cFFFFFFFF")
		end
	elseif arg1 == "mb" or arg1 == "mockingbanner" or arg1 == "mocking banner" then
		GB_MockingBanner = not GB_MockingBanner
		if GB_MockingBanner == true then
			print("|cFF50C0FF"..GB_Opt_MockingBanner..": |cFFADFF2F"..GB_Opt_Enable.."|cFFFFFFFF")
		else
			print("|cFF50C0FF"..GB_Opt_MockingBanner..": |cFFFF4500"..GB_Opt_Disable.."|cFFFFFFFF")
		end
	elseif arg1 == "party" then
		GB_Party = not GB_Party
		if GB_Party == true then
			print("|cFF50C0FF"..GB_Opt_Party..": |cFFADFF2F"..GB_Opt_Enable.."|cFFFFFFFF")
		else
			print("|cFF50C0FF"..GB_Opt_Party..": |cFFFF4500"..GB_Opt_Disable.."|cFFFFFFFF")
		end
	elseif arg1 == "raid" then
		GB_Raid = not GB_Raid
		if GB_Raid == true then
			print("|cFF50C0FF"..GB_Opt_Raid..": |cFFADFF2F"..GB_Opt_Enable.."|cFFFFFFFF")
		else
			print("|cFF50C0FF"..GB_Opt_Raid..": |cFFFF4500"..GB_Opt_Disable.."|cFFFFFFFF")
		end
	elseif arg1 == "partyinstance" or arg1 == "party instance" or arg1 == "partyi" then
		GB_PartyInstance = not GB_PartyInstance
		if GB_PartyInstance == true then
			print("|cFF50C0FF"..GB_Opt_PartyInstance..": |cFFADFF2F"..GB_Opt_Enable.."|cFFFFFFFF")
		else
			print("|cFF50C0FF"..GB_Opt_PartyInstance..": |cFFFF4500"..GB_Opt_Disable.."|cFFFFFFFF")
		end
	elseif arg1 == "raidinstance" or arg1 == "raid instance" or arg1 == "raidi" then
		GB_RaidInstance = not GB_RaidInstance
		if GB_RaidInstance == true then
			print("|cFF50C0FF"..GB_Opt_RaidInstance..": |cFFADFF2F"..GB_Opt_Enable.."|cFFFFFFFF")
		else
			print("|cFF50C0FF"..GB_Opt_RaidInstance..": |cFFFF4500"..GB_Opt_Disable.."|cFFFFFFFF")
		end
	elseif arg1 == "arena" then
		GB_Arena = not GB_Arena
		if GB_Arena == true then
			print("|cFF50C0FF"..GB_Opt_Arena..": |cFFADFF2F"..GB_Opt_Enable.."|cFFFFFFFF")
		else
			print("|cFF50C0FF"..GB_Opt_Arena..": |cFFFF4500"..GB_Opt_Disable.."|cFFFFFFFF")
		end
	elseif arg1 == "battleground" or arg1 == "bg" then
		GB_Battleground = not GB_Battleground
		if GB_Battleground == true then
			print("|cFF50C0FF"..GB_Opt_Battleground..": |cFFADFF2F"..GB_Opt_Enable.."|cFFFFFFFF")
		else
			print("|cFF50C0FF"..GB_Opt_Battleground..": |cFFFF4500"..GB_Opt_Disable.."|cFFFFFFFF")
		end
	else
		GetBannered_PrintSlashHelp()
	end
end

function GetBannered_PrintSlashHelp()
	print("|cFFFFA500GetBannered "..GetAddOnMetadata("GetBannered", "Version").." "..GB_Opt_CmdList.."|cFFFFFFFF")
	print("|cFF50C0FF/gb - |cFFFFFFA0"..GB_Opt_HelpStatus.."|cFFFFFFFF")
	print("|cFF50C0FF/gb skullbanner - |cFFFFFFA0"..GB_Opt_HelpSkullBanner.."|cFFFFFFFF")
	print("|cFF50C0FF/gb demobanner - |cFFFFFFA0"..GB_Opt_HelpDemoralizingBanner.."|cFFFFFFFF")
	print("|cFF50C0FF/gb mockingbanner - |cFFFFFFA0"..GB_Opt_HelpMockingBanner.."|cFFFFFFFF")
	print("|cFF50C0FF/gb party - |cFFFFFFA0"..GB_Opt_HelpParty.."|cFFFFFFFF")
	print("|cFF50C0FF/gb raid - |cFFFFFFA0"..GB_Opt_HelpRaid.."|cFFFFFFFF")
	print("|cFF50C0FF/gb partyi - |cFFFFFFA0"..GB_Opt_HelpPartyInstance.."|cFFFFFFFF")
	print("|cFF50C0FF/gb raidi - |cFFFFFFA0"..GB_Opt_HelpRaidInstance.."|cFFFFFFFF")
	print("|cFF50C0FF/gb arena - |cFFFFFFA0"..GB_Opt_HelpArena.."|cFFFFFFFF")
	print("|cFF50C0FF/gb bg - |cFFFFFFA0"..GB_Opt_HelpBattleground.."|cFFFFFFFF")
end

function GetBannered_PrintSlashMenu()
	print("|cFFFFA500GetBannered "..GetAddOnMetadata("GetBannered", "Version").." "..GB_Opt_HelpInput.."|cFFFFFFFF")
	if GB_SkullBanner == true then
		print("|cFF50C0FF"..GB_Opt_SkullBanner..": |cFFADFF2F"..GB_Opt_Enable.."|cFFFFFFFF")
	else
		print("|cFF50C0FF"..GB_Opt_SkullBanner..": |cFFFF4500"..GB_Opt_Disable.."|cFFFFFFFF")
	end
	if GB_DemoralizingBanner == true then
		print("|cFF50C0FF"..GB_Opt_DemoralizingBanner..": |cFFADFF2F"..GB_Opt_Enable.."|cFFFFFFFF")
	else
		print("|cFF50C0FF"..GB_Opt_DemoralizingBanner..": |cFFFF4500"..GB_Opt_Disable.."|cFFFFFFFF")
	end
	if GB_MockingBanner == true then
		print("|cFF50C0FF"..GB_Opt_MockingBanner..": |cFFADFF2F"..GB_Opt_Enable.."|cFFFFFFFF")
	else
		print("|cFF50C0FF"..GB_Opt_MockingBanner..": |cFFFF4500"..GB_Opt_Disable.."|cFFFFFFFF")
	end
	if GB_Party == true then
		print("|cFF50C0FF"..GB_Opt_Party..": |cFFADFF2F"..GB_Opt_Enable.."|cFFFFFFFF")
	else
		print("|cFF50C0FF"..GB_Opt_Party..": |cFFFF4500"..GB_Opt_Disable.."|cFFFFFFFF")
	end
	if GB_Raid == true then
		print("|cFF50C0FF"..GB_Opt_Raid..": |cFFADFF2F"..GB_Opt_Enable.."|cFFFFFFFF")
	else
		print("|cFF50C0FF"..GB_Opt_Raid..": |cFFFF4500"..GB_Opt_Disable.."|cFFFFFFFF")
	end
	if GB_PartyInstance == true then
		print("|cFF50C0FF"..GB_Opt_PartyInstance..": |cFFADFF2F"..GB_Opt_Enable.."|cFFFFFFFF")
	else
		print("|cFF50C0FF"..GB_Opt_PartyInstance..": |cFFFF4500"..GB_Opt_Disable.."|cFFFFFFFF")
	end
	if GB_RaidInstance == true then
		print("|cFF50C0FF"..GB_Opt_RaidInstance..": |cFFADFF2F"..GB_Opt_Enable.."|cFFFFFFFF")
	else
		print("|cFF50C0FF"..GB_Opt_RaidInstance..": |cFFFF4500"..GB_Opt_Disable.."|cFFFFFFFF")
	end
	if GB_Arena == true then
		print("|cFF50C0FF"..GB_Opt_Arena..": |cFFADFF2F"..GB_Opt_Enable.."|cFFFFFFFF")
	else
		print("|cFF50C0FF"..GB_Opt_Arena..": |cFFFF4500"..GB_Opt_Disable.."|cFFFFFFFF")
	end
	if GB_Battleground == true then
		print("|cFF50C0FF"..GB_Opt_Battleground..": |cFFADFF2F"..GB_Opt_Enable.."|cFFFFFFFF")
	else
		print("|cFF50C0FF"..GB_Opt_Battleground..": |cFFFF4500"..GB_Opt_Disable.."|cFFFFFFFF")
	end	
end