﻿function GetInterrupted_OnLoad()
	GetInterruptedFrame:RegisterEvent("COMBAT_LOG_EVENT_UNFILTERED")

	-- Slash Commands
	SlashCmdList["GetInterrupted"] = GetInterrupted_SlashCommands
	SLASH_GetInterrupted1 = "/gi"
	SLASH_GetInterrupted2 = "/getinterrupted"
end

-- Default Settings
if GI_Solo == nil then
	GI_Solo = false
end
if GI_Party == nil then
	GI_Party = true
end
if GI_Raid == nil then
	GI_Raid = true
end
if GI_PartyInstance == nil then
	GI_PartyInstance = true
end
if GI_RaidInstance == nil then
	GI_RaidInstance = true
end
if GI_Arena == nil then
	GI_Arena = true
end
if GI_Battleground == nil then
	GI_Battleground = true
end
if GI_HideServerName == nil then
	GI_HideServerName = true
end

-- Locale
local Locale = GetLocale()

-- Channels
local BattlegroundChannel		= "INSTANCE_CHAT"
local ArenaChannel				= "INSTANCE_CHAT"
local RaidInstanceChannel		= "INSTANCE_CHAT"
local PartyInstanceChannel		= "INSTANCE_CHAT"
local RaidChannel				= "RAID"
local PartyChannel				= "PARTY"
local SoloChannel				= "SAY"

function GetInterrupted_OnEvent(self, event, ...)
	if event == "COMBAT_LOG_EVENT_UNFILTERED" then
		local eventType, sourceGUID, destName, spellName, spellId
		if select(4, GetBuildInfo()) >= 50100 then
			BattlegroundChannel = "INSTANCE_CHAT"
			ArenaChannel = "INSTANCE_CHAT"
			RaidInstanceChannel = "INSTANCE_CHAT"
			PartyInstanceChannel = "INSTANCE_CHAT"
			eventType, sourceGUID, destName, spellName, spellId = select(2, ...), select(4, ...), select(9, ...), select(13, ...), select(15, ...)
		elseif select(4, GetBuildInfo()) >= 40200 then
			BattlegroundChannel = "BATTLEGROUND"
			ArenaChannel = "PARTY"
			RaidInstanceChannel = "RAID"
			PartyInstanceChannel = "PARTY"
			eventType, sourceGUID, destName, spellName, spellId = select(2, ...), select(4, ...), select(9, ...), select(13, ...), select(15, ...)
		elseif select(4, GetBuildInfo()) >= 40100 then
			BattlegroundChannel = "BATTLEGROUND"
			ArenaChannel = "PARTY"
			RaidInstanceChannel = "RAID"
			PartyInstanceChannel = "PARTY"
			eventType, sourceGUID, destName, spellName, spellId = select(2, ...), select(4, ...), select(8, ...), select(11, ...), select(13, ...)
		elseif select(4, GetBuildInfo()) >= 40000 then
			BattlegroundChannel = "BATTLEGROUND"
			ArenaChannel = "PARTY"
			RaidInstanceChannel = "RAID"
			PartyInstanceChannel = "PARTY"
			eventType, sourceGUID, destName, spellName, spellId = select(2, ...), select(3, ...), select(7, ...), select(10, ...), select(12, ...)
		elseif select(4, GetBuildInfo()) >= 20400 then
			BattlegroundChannel = "BATTLEGROUND"
			ArenaChannel = "PARTY"
			RaidInstanceChannel = "RAID"
			PartyInstanceChannel = "PARTY"
			eventType, sourceGUID, destName, spellName, spellId = select(2, ...), select(3, ...), select(7, ...), select(10, ...), select(12, ...)
		end

		local MessageFormat = "%s"..GI_ED.." %s"..GI_S.." %s."

		if IsInGroup(LE_PARTY_CATEGORY_INSTANCE) and IsInInstance() then
			if select(2, IsInInstance()) == "pvp" then
				if GI_Battleground == true then
					if eventType == "SPELL_INTERRUPT" then
						if sourceGUID ~= nil and sourceGUID == UnitGUID("player") and destName ~= nil and spellName ~= nil and spellId ~= nil then
							if string.find(destName, "-") and GI_HideServerName ~= false then
								if string.find(destName, " ") then
									destName = tostring(destName)
								else
									destName = tostring(string.match(destName, "(.+)-"))
									if string.find(destName, "-") and GI_HideServerName ~= false then
										destName = tostring(string.match(destName, "(.+)-"))
									end
								end
							end
							local Message
							if string.sub(spellName, -1) == "e" and (Locale == "enUS" or Locale == "enGB") then
								Message = format(MessageFormat, string.sub(spellName, 1, string.len(spellName)-1), destName, GetSpellLink(spellId))
							else
								Message = format(MessageFormat, spellName, destName, GetSpellLink(spellId))
							end
							SendChatMessage(Message, BattlegroundChannel)
						end
					end
				end
			elseif select(2, IsInInstance()) == "arena" then
				if GI_Arena == true then
					if eventType == "SPELL_INTERRUPT" then
						if sourceGUID ~= nil and sourceGUID == UnitGUID("player") and destName ~= nil and spellName ~= nil and spellId ~= nil then
							if string.find(destName, "-") and GI_HideServerName ~= false then
								if string.find(destName, " ") then
									destName = tostring(destName)
								else
									destName = tostring(string.match(destName, "(.+)-"))
									if string.find(destName, "-") and GI_HideServerName ~= false then
										destName = tostring(string.match(destName, "(.+)-"))
									end
								end
							end
							local Message
							if string.sub(spellName, -1) == "e" and (Locale == "enUS" or Locale == "enGB") then
								Message = format(MessageFormat, string.sub(spellName, 1, string.len(spellName)-1), destName, GetSpellLink(spellId))
							else
								Message = format(MessageFormat, spellName, destName, GetSpellLink(spellId))
							end
							SendChatMessage(Message, ArenaChannel)
						end
					end
				end
			elseif select(2, IsInInstance()) == "raid" then
				if GI_RaidInstance == true then
					if eventType == "SPELL_INTERRUPT" then
						if sourceGUID ~= nil and sourceGUID == UnitGUID("player") and destName ~= nil and spellName ~= nil and spellId ~= nil then
							if string.find(destName, "-") and GI_HideServerName ~= false then
								if string.find(destName, " ") then
									destName = tostring(destName)
								else
									destName = tostring(string.match(destName, "(.+)-"))
									if string.find(destName, "-") and GI_HideServerName ~= false then
										destName = tostring(string.match(destName, "(.+)-"))
									end
								end
							end
							local Message
							if string.sub(spellName, -1) == "e" and (Locale == "enUS" or Locale == "enGB") then
								Message = format(MessageFormat, string.sub(spellName, 1, string.len(spellName)-1), destName, GetSpellLink(spellId))
							else
								Message = format(MessageFormat, spellName, destName, GetSpellLink(spellId))
							end
							SendChatMessage(Message, RaidInstanceChannel)
						end
					end
				end
			elseif select(2, IsInInstance()) == "party" then
				if GI_PartyInstance == true then
					if eventType == "SPELL_INTERRUPT" then
						if sourceGUID ~= nil and sourceGUID == UnitGUID("player") and destName ~= nil and spellName ~= nil and spellId ~= nil then
							if string.find(destName, "-") and GI_HideServerName ~= false then
								if string.find(destName, " ") then
									destName = tostring(destName)
								else
									destName = tostring(string.match(destName, "(.+)-"))
									if string.find(destName, "-") and GI_HideServerName ~= false then
										destName = tostring(string.match(destName, "(.+)-"))
									end
								end
							end
							local Message
							if string.sub(spellName, -1) == "e" and (Locale == "enUS" or Locale == "enGB") then
								Message = format(MessageFormat, string.sub(spellName, 1, string.len(spellName)-1), destName, GetSpellLink(spellId))
							else
								Message = format(MessageFormat, spellName, destName, GetSpellLink(spellId))
							end
							SendChatMessage(Message, PartyInstanceChannel)
						end
					end
				end
			elseif select(2, IsInInstance()) == nil then
				if GI_PartyInstance == true then
					if eventType == "SPELL_INTERRUPT" then
						if sourceGUID ~= nil and sourceGUID == UnitGUID("player") and destName ~= nil and spellName ~= nil and spellId ~= nil then
							if string.find(destName, "-") and GI_HideServerName ~= false then
								if string.find(destName, " ") then
									destName = tostring(destName)
								else
									destName = tostring(string.match(destName, "(.+)-"))
									if string.find(destName, "-") and GI_HideServerName ~= false then
										destName = tostring(string.match(destName, "(.+)-"))
									end
								end
							end
							local Message
							if string.sub(spellName, -1) == "e" and (Locale == "enUS" or Locale == "enGB") then
								Message = format(MessageFormat, string.sub(spellName, 1, string.len(spellName)-1), destName, GetSpellLink(spellId))
							else
								Message = format(MessageFormat, spellName, destName, GetSpellLink(spellId))
							end
							SendChatMessage(Message, PartyInstanceChannel)
						end
					end
				end
			end
		else
			if IsInRaid() == true then
				if GI_Raid == true then
					if eventType == "SPELL_INTERRUPT" then
						if sourceGUID ~= nil and sourceGUID == UnitGUID("player") and destName ~= nil and spellName ~= nil and spellId ~= nil then
							if string.find(destName, "-") and GI_HideServerName ~= false then
								if string.find(destName, " ") then
									destName = tostring(destName)
								else
									destName = tostring(string.match(destName, "(.+)-"))
									if string.find(destName, "-") and GI_HideServerName ~= false then
										destName = tostring(string.match(destName, "(.+)-"))
									end
								end
							end
							local Message
							if string.sub(spellName, -1) == "e" and (Locale == "enUS" or Locale == "enGB") then
								Message = format(MessageFormat, string.sub(spellName, 1, string.len(spellName)-1), destName, GetSpellLink(spellId))
							else
								Message = format(MessageFormat, spellName, destName, GetSpellLink(spellId))
							end
							SendChatMessage(Message, RaidChannel)
						end
					end
				end
			elseif GetNumSubgroupMembers() ~= nil and GetNumSubgroupMembers() > 0 then
				if GI_Party == true then
					if eventType == "SPELL_INTERRUPT" then
						if sourceGUID ~= nil and sourceGUID == UnitGUID("player") and destName ~= nil and spellName ~= nil and spellId ~= nil then
							if string.find(destName, "-") and GI_HideServerName ~= false then
								if string.find(destName, " ") then
									destName = tostring(destName)
								else
									destName = tostring(string.match(destName, "(.+)-"))
									if string.find(destName, "-") and GI_HideServerName ~= false then
										destName = tostring(string.match(destName, "(.+)-"))
									end
								end
							end
							local Message
							if string.sub(spellName, -1) == "e" and (Locale == "enUS" or Locale == "enGB") then
								Message = format(MessageFormat, string.sub(spellName, 1, string.len(spellName)-1), destName, GetSpellLink(spellId))
							else
								Message = format(MessageFormat, spellName, destName, GetSpellLink(spellId))
							end
							SendChatMessage(Message, PartyChannel)
						end
					end
				end
			elseif select(2, IsInInstance()) == "none" then
				if GI_Solo == true then
					if eventType == "SPELL_INTERRUPT" then
						if sourceGUID ~= nil and sourceGUID == UnitGUID("player") and destName ~= nil and spellName ~= nil and spellId ~= nil then
							if string.find(destName, "-") and GI_HideServerName ~= false then
								if string.find(destName, " ") then
									destName = tostring(destName)
								else
									destName = tostring(string.match(destName, "(.+)-"))
									if string.find(destName, "-") and GI_HideServerName ~= false then
										destName = tostring(string.match(destName, "(.+)-"))
									end
								end
							end
							local Message
							if string.sub(spellName, -1) == "e" and (Locale == "enUS" or Locale == "enGB") then
								Message = format(MessageFormat, string.sub(spellName, 1, string.len(spellName)-1), destName, GetSpellLink(spellId))
							else
								Message = format(MessageFormat, spellName, destName, GetSpellLink(spellId))
							end
							SendChatMessage(Message, SoloChannel)
						end
					end
				end
			end
		end
	end
end

function GetInterrupted_SlashCommands(arg1)
	local arg1 = string.lower(arg1)
	if arg1 == "" then
		GetInterrupted_PrintSlashMenu()
	elseif arg1 == "party" then
		GI_Party = not GI_Party
		if GI_Party == true then
			print("|cFF50C0FF"..GI_Opt_Party..": |cFFADFF2F"..GI_Opt_Enable.."|cFFFFFFFF")
		else
			print("|cFF50C0FF"..GI_Opt_Party..": |cFFFF4500"..GI_Opt_Disable.."|cFFFFFFFF")
		end
	elseif arg1 == "raid" then
		GI_Raid = not GI_Raid
		if GI_Raid == true then
			print("|cFF50C0FF"..GI_Opt_Raid..": |cFFADFF2F"..GI_Opt_Enable.."|cFFFFFFFF")
		else
			print("|cFF50C0FF"..GI_Opt_Raid..": |cFFFF4500"..GI_Opt_Disable.."|cFFFFFFFF")
		end
	elseif arg1 == "partyinstance" or arg1 == "party instance" or arg1 == "partyi" then
		GI_PartyInstance = not GI_PartyInstance
		if GI_PartyInstance == true then
			print("|cFF50C0FF"..GI_Opt_PartyInstance..": |cFFADFF2F"..GI_Opt_Enable.."|cFFFFFFFF")
		else
			print("|cFF50C0FF"..GI_Opt_PartyInstance..": |cFFFF4500"..GI_Opt_Disable.."|cFFFFFFFF")
		end
	elseif arg1 == "raidinstance" or arg1 == "raid instance" or arg1 == "raidi" then
		GI_RaidInstance = not GI_RaidInstance
		if GI_RaidInstance == true then
			print("|cFF50C0FF"..GI_Opt_RaidInstance..": |cFFADFF2F"..GI_Opt_Enable.."|cFFFFFFFF")
		else
			print("|cFF50C0FF"..GI_Opt_RaidInstance..": |cFFFF4500"..GI_Opt_Disable.."|cFFFFFFFF")
		end
	elseif arg1 == "arena" then
		GI_Arena = not GI_Arena
		if GI_Arena == true then
			print("|cFF50C0FF"..GI_Opt_Arena..": |cFFADFF2F"..GI_Opt_Enable.."|cFFFFFFFF")
		else
			print("|cFF50C0FF"..GI_Opt_Arena..": |cFFFF4500"..GI_Opt_Disable.."|cFFFFFFFF")
		end
	elseif arg1 == "battleground" or arg1 == "bg" then
		GI_Battleground = not GI_Battleground
		if GI_Battleground == true then
			print("|cFF50C0FF"..GI_Opt_Battleground..": |cFFADFF2F"..GI_Opt_Enable.."|cFFFFFFFF")
		else
			print("|cFF50C0FF"..GI_Opt_Battleground..": |cFFFF4500"..GI_Opt_Disable.."|cFFFFFFFF")
		end
	elseif arg1 == "solo" then
		GI_Solo = not GI_Solo
		if GI_Solo == true then
			print("|cFF50C0FF"..GI_Opt_Solo..": |cFFADFF2F"..GI_Opt_Enable.."|cFFFFFFFF")
		else
			print("|cFF50C0FF"..GI_Opt_Solo..": |cFFFF4500"..GI_Opt_Disable.."|cFFFFFFFF")
		end
	elseif arg1 == "hideserver" or arg1 == "hide server" or arg1 == "hideservername" or arg1 == "hide servername" or arg1 == "hide server name" or arg1 == "hideserver name" then
		GI_HideServerName = not GI_HideServerName
		if GI_HideServerName == true then
			print("|cFF50C0FF"..GI_Opt_HideServerName..": |cFFADFF2F"..GI_Opt_Enable.."|cFFFFFFFF")
		else
			print("|cFF50C0FF"..GI_Opt_HideServerName..": |cFFFF4500"..GI_Opt_Disable.."|cFFFFFFFF")
		end
	else
		GetInterrupted_PrintSlashHelp()
	end
end

function GetInterrupted_PrintSlashHelp()
	print("|cFFFFA500GetInterrupted "..GetAddOnMetadata("GetInterrupted", "Version").." "..GI_Opt_CmdList.."|cFFFFFFFF")
	print("|cFF50C0FF/gi - |cFFFFFFA0"..GI_Opt_HelpStatus.."|cFFFFFFFF")
	print("|cFF50C0FF/gi solo - |cFFFFFFA0"..GI_Opt_HelpSolo.."|cFFFFFFFF")
	print("|cFF50C0FF/gi party - |cFFFFFFA0"..GI_Opt_HelpParty.."|cFFFFFFFF")
	print("|cFF50C0FF/gi raid - |cFFFFFFA0"..GI_Opt_HelpRaid.."|cFFFFFFFF")
	print("|cFF50C0FF/gi partyi - |cFFFFFFA0"..GI_Opt_HelpPartyInstance.."|cFFFFFFFF")
	print("|cFF50C0FF/gi raidi - |cFFFFFFA0"..GI_Opt_HelpRaidInstance.."|cFFFFFFFF")
	print("|cFF50C0FF/gi arena - |cFFFFFFA0"..GI_Opt_HelpArena.."|cFFFFFFFF")
	print("|cFF50C0FF/gi bg - |cFFFFFFA0"..GI_Opt_HelpBattleground.."|cFFFFFFFF")
	print("|cFF50C0FF/gi hideserver - |cFFFFFFA0"..GI_Opt_HelpHideServerName.."|cFFFFFFFF")
end

function GetInterrupted_PrintSlashMenu()
	print("|cFFFFA500GetInterrupted "..GetAddOnMetadata("GetInterrupted", "Version").." "..GI_Opt_HelpInput.."|cFFFFFFFF")
	if GI_Solo == true then
		print("|cFF50C0FF"..GI_Opt_Solo..": |cFFADFF2F"..GI_Opt_Enable.."|cFFFFFFFF")
	else
		print("|cFF50C0FF"..GI_Opt_Solo..": |cFFFF4500"..GI_Opt_Disable.."|cFFFFFFFF")
	end
	if GI_Party == true then
		print("|cFF50C0FF"..GI_Opt_Party..": |cFFADFF2F"..GI_Opt_Enable.."|cFFFFFFFF")
	else
		print("|cFF50C0FF"..GI_Opt_Party..": |cFFFF4500"..GI_Opt_Disable.."|cFFFFFFFF")
	end
	if GI_Raid == true then
		print("|cFF50C0FF"..GI_Opt_Raid..": |cFFADFF2F"..GI_Opt_Enable.."|cFFFFFFFF")
	else
		print("|cFF50C0FF"..GI_Opt_Raid..": |cFFFF4500"..GI_Opt_Disable.."|cFFFFFFFF")
	end
	if GI_PartyInstance == true then
		print("|cFF50C0FF"..GI_Opt_PartyInstance..": |cFFADFF2F"..GI_Opt_Enable.."|cFFFFFFFF")
	else
		print("|cFF50C0FF"..GI_Opt_PartyInstance..": |cFFFF4500"..GI_Opt_Disable.."|cFFFFFFFF")
	end
	if GI_RaidInstance == true then
		print("|cFF50C0FF"..GI_Opt_RaidInstance..": |cFFADFF2F"..GI_Opt_Enable.."|cFFFFFFFF")
	else
		print("|cFF50C0FF"..GI_Opt_RaidInstance..": |cFFFF4500"..GI_Opt_Disable.."|cFFFFFFFF")
	end
	if GI_Arena == true then
		print("|cFF50C0FF"..GI_Opt_Arena..": |cFFADFF2F"..GI_Opt_Enable.."|cFFFFFFFF")
	else
		print("|cFF50C0FF"..GI_Opt_Arena..": |cFFFF4500"..GI_Opt_Disable.."|cFFFFFFFF")
	end
	if GI_Battleground == true then
		print("|cFF50C0FF"..GI_Opt_Battleground..": |cFFADFF2F"..GI_Opt_Enable.."|cFFFFFFFF")
	else
		print("|cFF50C0FF"..GI_Opt_Battleground..": |cFFFF4500"..GI_Opt_Disable.."|cFFFFFFFF")
	end
	if GI_HideServerName == true then
		print("|cFF50C0FF"..GI_Opt_HideServerName..": |cFFADFF2F"..GI_Opt_Enable.."|cFFFFFFFF")
	else
		print("|cFF50C0FF"..GI_Opt_HideServerName..": |cFFFF4500"..GI_Opt_Disable.."|cFFFFFFFF")
	end
end