﻿-- See: http://wow.curseforge.com/addons/xloot/localization/ to create or fix translations
local locales = {
	enUS = {
		Core = {
			panel_title = "Global options",
			details = "Skin is applied to all XLoot modules. Most other settings currently require a /reload to be applied. Please open a ticket with any issues.",
			skin = "Skin",
			skin_desc = "Select skin to use. Includes Masque skins",
			skin_anchors = "Apply to anchors",
			skin_anchors_desc = "Apply skin to anchors that XLoot uses",
			module_header = "Module options",
		},
		Frame = {
			panel_title = "Loot Frame",
			panel_desc = "Provides a adjustable loot frame",
			-- Group labels
			frame_options = "Frame settings",
			slot_options = "Loot slots",
			link_button = "Link all button",
			autolooting = "Auto-looting",
			colors = "Colors",
			fonts = "Fonts",
			font_sizes = "Sizes",

			-- Option labels
			autoloot_coin = "Auto loot coin",
			autoloot_coin_desc = "When to automatically loot coin",
			autoloot_quest = "Auto loot quest items",
			autoloot_quest_desc = "When to automatically loot quest items",
			autoloot_list = "Auto loot listed items",
			autoloot_list_desc = "When to automatically loot listed items",
			autoloot_item_list = "Items to loot",
			-- frame_scale = "Frame scale",
			-- frame_alpha = "Frame alpha",
			frame_color_border = "Frame border color",
			frame_color_backdrop = "Frame backdrop color",
			frame_color_gradient = "Frame gradient color",
			frame_width_automatic = "Automatically expand frame",
			frame_width = "Frame width",
			old_close_button = "Use old close button",
			loot_highlight = "Highlight slots on mouseover",
			-- loot_alpha = "Slot alpha",
			loot_color_border = "Loot border color",
			loot_color_backdrop = "Loot backdrop color",
			loot_color_gradient = "Loot gradient color",
			loot_color_info = "Information font color",
			loot_collapse = "Collapse looted slots",
			quality_color_frame = "Color frame border by top quality",
			quality_color_slot = "Color loot border by quality",
			loot_texts_info = "Show detailed information",
			loot_texts_bind = "Show loot bind type",
			loot_texts_lock = "Show locked status",
			font = "Font",
			font_size_loot = "Loot",
			font_size_info = "Loot information",
			font_size_quantity = "Quantity",
			font_size_bottombuttons = "Linkall/Close",
			frame_snap = "Snap frame to mouse",
			frame_snap_offset_x = "Horizontal snap offset",
			frame_snap_offset_y = "Vertical snap offset",
			frame_draggable = "Loot frame draggable",
			linkall_threshold = "Minimum chat link quality",
			linkall_channel = "Default chat link channel",
			linkall_show = "Link button visibility",

			autolooting_text = "XLoot's autolooting features act separately from the default UI. As such, if both are enabled, you may recieve warnings like 'that object is busy'. They are safe to ignore, but can be resolved by picking one autoloot method to use exclusively.",

			autolooting_list = "To automatically loot specific items, list them below.\n  Example: Linen Cloth,Ashbringer,Copper Ore",
		},
		Group = {
			panel_title = "Group Loot",
			-- Group labels
			anchors = "Anchors",
			rolls = "Roll frames",
			other_frames = "Other frames",
			roll_tracking = "What rolls to show",
			alerts = "Loot alerts",
			extra_info = "Details",

			-- Header labels
			expiration = "Expiration (in seconds)",

			-- Option labels
			text_outline = "Outline text",
			text_outline_desc = "Draws a dark outline around text on roll frames",
			text_time = "Show time remaining",
			text_time_desc = "Displays seconds remaining to roll over item icon",
			role_icon = "Show role icons",
			win_icon = "Show winning type icon",
			show_decided = "Show decided",
			show_undecided = "List waiting players",
			show_undecided_desc = "List players who have not chosen how to roll",
			alert_skin = "Skin loot popup frames",
			alert_skin_desc = "Refers to 'You won..' frames, or 'alerts'",
			alert_offset = "Vertical spacing",
			bonus_skin = "Skin bonus roll frame",
			roll_width = "Roll frame width",
			roll_button_size = "Roll button size",
			roll_anchor_visible = "Roll anchor visible",
			alert_anchor_visible = "Loot popups anchor visible",
			alert_anchor_visible_desc = "Refers to 'You won..' frames, or 'alerts'",
			track_all = "Track all rolls",
			track_player_roll = "Track items you roll on",
			track_by_threshold = "Track items by minimum quality",
			expire_won = "Won rolls",
			expire_lost = "Lost/Passed rolls",
			preview_show = "Show Preview",
			equip_prefix = "Show equippable prefix",
			equip_prefix_desc = "Prefixes item names to indicate if a item can be equipped or is a upgrade. (Upgrade prefix requires the Pawn addon)",
			prefix_equippable = "Equippable prefix",
			prefix_upgrade = "Upgrade prefix"
		},
		Monitor = {
			panel_title = "Loot Monitor",
			-- Group labels
			anchor = "Anchor",
			thresholds = "Quality thresholds",
			fading = "Row fade times (in seconds)",
			details = "Details",
			-- Option labels
			visible = "Anchor visible",
			show_coin = "Show coin drops",
			show_totals = "Show total items in inventory"
		},
		Master = {
			panel_title = "Loot Master",
			-- Group labels
			specialrecipients = "Special Recipients Menu",
			raidroll = "Special Rolls Menu",
			awardannounce = "Announce Item Distribution",
			-- Option labels
			menu_roll = "Show raid roll",
			menu_disenchant = "Show disenchanter",
			menu_bank = "Show banker",
			menu_self = "Show self",
			award_qualitythreshold = "Minimum announce quality",
			award_channel = "Default chat announce channel",
			award_guildannounce = "Echo in guild chat",
		},
		desc_channel_auto = "Highest available",
		growth_direction = "Growth direction",
		scale = "Scale",
		width = "Width",
		alpha = "Opacity",
		visible = "Visible",
		items_others = "Others' items",
		items_own = "Own items",
		up = "Up",
		down = "Down",
		minimum_quality = "Minimum quality",
		when_never = "Never",
		when_solo = "Solo",
		when_always = "Always",
		when_auto = "Automatic",
		when_grouped = "In groups",
		confirm_reset_profile = "This will reset all options for this profile. Are you sure?",
		profile = "Profile"
	},
	-- Possibly localized
	ptBR = {

	},
	frFR = {

	},
	deDE = {

	},
	koKR = {

	},
	esMX = {

	},
	ruRU = {

	},
	zhCN = {

	},
	esES = {

	},
	zhTW = {

	},
}

-- Automatically inserted translations
locales.ptBR.Core = {
}
locales.ptBR.Frame = {
}
locales.ptBR.Group = {
}
locales.ptBR.Master = {
}
locales.ptBR.Monitor = {
}

locales.frFR.Core = {
}
locales.frFR.Frame = {
}
locales.frFR.Group = {
}
locales.frFR.Master = {
}
locales.frFR.Monitor = {
}

locales.deDE.Core = {
}
locales.deDE.Frame = {
}
locales.deDE.Group = {
}
locales.deDE.Master = {
}
locales.deDE.Monitor = {
}

locales.koKR["confirm_reset_profile"] = "이 프로필에 대한 모든 옵션을 초기화 합니다. 계속 하시겠습니까?" -- Needs review
locales.koKR["profile"] = "프로필" -- Needs review
locales.koKR["when_always"] = "항상" -- Needs review
locales.koKR["when_auto"] = "자동" -- Needs review
locales.koKR.Core = {
	module_header = "모듈 옵션", -- Needs review
	panel_title = "공통 옵션", -- Needs review
}
locales.koKR.Frame = {
	colors = "색상", -- Needs review
	font = "글꼴", -- Needs review
	fonts = "글꼴", -- Needs review
	font_sizes = "크기", -- Needs review
	frame_color_backdrop = "프레임 배경 색상", -- Needs review
	frame_color_border = "프레임 외곽 색상", -- Needs review
	frame_options = "프레임 설정", -- Needs review
	frame_width = "프레임 너비", -- Needs review
}
locales.koKR.Group = {
}
locales.koKR.Master = {
}
locales.koKR.Monitor = {
}

locales.esMX.Core = {
}
locales.esMX.Frame = {
}
locales.esMX.Group = {
}
locales.esMX.Master = {
}
locales.esMX.Monitor = {
}

locales.ruRU["confirm_reset_profile"] = "Это сбросит все параметры этого профиля. Вы уверены?" -- Needs review
locales.ruRU["profile"] = "Профиль" -- Needs review
locales.ruRU["when_always"] = "Всегда" -- Needs review
locales.ruRU["when_auto"] = "Авто" -- Needs review
locales.ruRU["when_never"] = "Никогда" -- Needs review
locales.ruRU["when_solo"] = "Соло" -- Needs review
locales.ruRU.Core = {
}
locales.ruRU.Frame = {
}
locales.ruRU.Group = {
}
locales.ruRU.Master = {
}
locales.ruRU.Monitor = {
}

locales.zhCN["confirm_reset_profile"] = "这将重置此配置文件的全部选项。确定？"
locales.zhCN["profile"] = "配置文件"
locales.zhCN["when_always"] = "总是"
locales.zhCN["when_auto"] = "自动"
locales.zhCN["when_never"] = "从不"
locales.zhCN["when_solo"] = "单人"
locales.zhCN.Core = {
}
locales.zhCN.Frame = {
}
locales.zhCN.Group = {
}
locales.zhCN.Master = {
}
locales.zhCN.Monitor = {
}

locales.esES["confirm_reset_profile"] = "Esto reseteará todas las opciones de este perfil. ¿Estás seguro?" -- Needs review
locales.esES["profile"] = "Perfil" -- Needs review
locales.esES["when_always"] = "Siempre" -- Needs review
locales.esES["when_auto"] = "Automático" -- Needs review
locales.esES["when_never"] = "Nunca" -- Needs review
locales.esES["when_solo"] = "Solo" -- Needs review
locales.esES.Core = {
	module_header = "Opciones del módulo", -- Needs review
	panel_title = "Opciones globales", -- Needs review
	skin = "Tema", -- Needs review
}
locales.esES.Frame = {
	colors = "Colores", -- Needs review
	font = "Fuente", -- Needs review
	fonts = "Fuentes", -- Needs review
	font_size_info = "Información del botín", -- Needs review
	font_size_loot = "Botín", -- Needs review
	font_size_quantity = "Cantidad", -- Needs review
	font_sizes = "Tamaños", -- Needs review
	frame_color_backdrop = "Color de fondo del marco", -- Needs review
	frame_color_border = "Color del borde del marco", -- Needs review
	frame_color_gradient = "Color degradado del marco", -- Needs review
	frame_draggable = "Marco de botín arrastrable", -- Needs review
	frame_options = "Ajustes del marco", -- Needs review
	frame_snap = "Mostrar marco en el ratón", -- Needs review
	frame_width = "Ancho del marco", -- Needs review
	frame_width_automatic = "Expandir marco automáticamente", -- Needs review
}
locales.esES.Group = {
}
locales.esES.Master = {
}
locales.esES.Monitor = {
}

locales.zhTW["confirm_reset_profile"] = "將會重置此設定檔的所有設定。你確定要重置嗎？"
locales.zhTW["profile"] = "設定檔"
locales.zhTW["when_always"] = "總是"
locales.zhTW["when_auto"] = "自動"
locales.zhTW["when_never"] = "從不"
locales.zhTW["when_solo"] = "單人"
locales.zhTW.Core = {
}
locales.zhTW.Frame = {
}
locales.zhTW.Group = {
}
locales.zhTW.Master = {
}
locales.zhTW.Monitor = {
}


XLoot:Localize("Options", locales)
