local bartexture = 'Interface\\AddOns\\oUF_Lure\\texture\\plain'
local backdrop = {bgFile = [=[Interface\ChatFrame\ChatFrameBackground]=], insets = {top = -2, left = -2, bottom = -2, right = -2}}
local font = 'GameFontHighlightSmallLeft'

oUF.TagEvents["bossname"] = "UNIT_HEALTH"
oUF.Tags['bossname'] = function(u) 
	return UnitName(u):sub(1, oUF_Lure_SavedVars.BossNameLength) 
end

local function LayoutBoss(self, unit)
	self.colors = colors
	self:RegisterForClicks('AnyDown')
	self:SetScript('OnEnter', UnitFrame_OnEnter)
	self:SetScript('OnLeave', UnitFrame_OnLeave)

	self:SetBackdrop(backdrop)
	self:SetBackdropColor(0, 0, 0)
	
	self.backdrop2 = CreateFrame('StatusBar', nil, self)
	self.backdrop2:SetStatusBarTexture(bartexture)
	self.backdrop2:SetStatusBarColor(0, 0, 0)
	self.backdrop2:SetAllPoints(self)
	self.backdrop2:SetFrameLevel(3)

	self.Health = CreateFrame('StatusBar', nil, self)
	self.Health:SetAllPoints(self)
	self.Health:SetStatusBarTexture(bartexture)
	self.Health:SetStatusBarColor(50, 0, 0)
	self.Health.colorDisconnected = true
	self.Health.colorClass = true
	self.Health.Smooth = true
	self.Health:SetFrameLevel(5)

	local name = self.Health:CreateFontString(nil, 'OVERLAY', font)
	name:SetPoint('CENTER', self, 'CENTER', 0, 0)
	self:Tag(name, '[bossname]')
	
	self.RaidIcon = self.Health:CreateTexture(nil, 'OVERLAY')
	self.RaidIcon:SetPoint('RIGHT', self, -2, 0)
	self.RaidIcon:SetHeight(15)
	self.RaidIcon:SetWidth(15)
	
	self.AltPowerBar = CreateFrame('StatusBar', nil, self)
	self.AltPowerBar:SetStatusBarTexture(bartexture)
	self.AltPowerBar:SetPoint('TOP', self, 'TOP', 0, 2)
	self.AltPowerBar:SetParent(self)
	self.AltPowerBar:SetFrameLevel(2)
end

function oUF_Lure_ApplyBossOptions()
	for i = 1, MAX_BOSS_FRAMES do
		local boss = _G['oUF_Boss'..i]
		boss:SetWidth(oUF_Lure_SavedVars.BossFrameWidth)
		boss:SetHeight(oUF_Lure_SavedVars.BossFrameHeight)
		boss.AltPowerBar:SetHeight(boss:GetHeight() + 4)
		boss.AltPowerBar:SetWidth(boss:GetWidth() + 4)
	end
end

function oUF_Lure_SpawnBoss(self)
	
	oUF:RegisterStyle('LureBoss', LayoutBoss)
	oUF:SetActiveStyle('LureBoss')
	
	local boss = {}
	for i = 1, MAX_BOSS_FRAMES do
		unit = oUF:Spawn("boss"..i, "oUF_Boss"..i)
		if i==1 then
			unit:SetPoint("TOP", UIParent, "TOPRIGHT", -87, -182)
		else
			unit:SetPoint("TOPRIGHT", boss[i-1], "BOTTOMRIGHT", 0, -oUF_Lure_SavedVars.BossSpacingVertical)
		end
		boss[i] = unit
	end
	
	oUF_Lure_ApplyBossOptions()
end
