local frame_width = 220
local frame_width_small = 150
local frame_height = 37
local frame_height_small = 18

local function LayoutPlayer(self, unit)
	oUF_Lure_SetupFrame(self)
	self:SetSize(frame_width, frame_height)
	self:SetPoint('CENTER', 0, -440)
	oUF_Lure_AddHealthBar(self)
	oUF_Lure_AddHealthBarTextHealth(self)
	oUF_Lure_AddPowerBar(self)
	oUF_Lure_AddPowerBarTextPower(self)
	oUF_Lure_AddAltPowerBar(self)
	oUF_Lure_AddRaidIcons(self)
	oUF_Lure_AddBuffs(self)
	oUF_Lure_AddDebuffs(self)
	oUF_Lure_AddCastBar(self)
	oUF_Lure_AddRunes(self)
	oUF_Lure_AddEclipse(self)
	oUF_Lure_AddSoulShards(self)
	oUF_Lure_AddHolyPower(self)
	oUF_Lure_AddTotems(self)
	oUF_Lure_AddHealPrediction(self)
	oUF_Lure_AddDebuffHighLight(self)
	oUF_Lure_AddCombatIcon(self)
	oUF_Lure_AddRestingIcon(self)
end

local function LayoutTarget(self, unit)
	oUF_Lure_SetupFrame(self)
	self:SetSize(frame_width, frame_height)
	self:SetPoint('CENTER', 0, -390)
	oUF_Lure_AddHealthBar(self)
	oUF_Lure_AddHealthBarTextHealth(self)
	oUF_Lure_AddHealthBarTextNameLeft(self)
	oUF_Lure_AddHealthBarTextPercent(self)
	oUF_Lure_AddPowerBar(self)
	oUF_Lure_AddPowerBarTextPower(self)
	oUF_Lure_AddPowerBarTextPercent(self)
	oUF_Lure_AddPowerBarTextLevel(self)
	oUF_Lure_AddThreat(self)
	oUF_Lure_AddRaidIcons(self)
	oUF_Lure_AddBuffs(self)
	oUF_Lure_AddDebuffs(self)
	oUF_Lure_AddCastBar(self)
	oUF_Lure_AddCombopoints(self)
	oUF_Lure_AddHealPrediction(self)
	oUF_Lure_AddDebuffHighLight(self)
end

local function LayoutTot(self, unit)
	oUF_Lure_SetupFrame(self)
	self:SetSize(frame_width_small, frame_height_small)
	self:SetPoint('CENTER', 0, -350)
	oUF_Lure_AddHealthBar(self)
	oUF_Lure_AddHealthBarTextNameCenter(self)
	oUF_Lure_AddRaidIcons(self)
	oUF_Lure_AddDebuffs(self)
	oUF_Lure_FixTotDebuffPosition(self)
	oUF_Lure_AddHealPrediction(self)
	oUF_Lure_AddDebuffHighLight(self)
end

local function LayoutPet(self, unit)
	oUF_Lure_SetupFrame(self)
	self:SetSize(frame_width, frame_height)
	self:SetPoint('CENTER', 310, -440)
	oUF_Lure_AddHealthBar(self)
	oUF_Lure_AddHealthBarTextHealth(self)
	oUF_Lure_AddHealthBarTextNameLeft(self)
	oUF_Lure_AddHealthBarTextPercent(self)
	oUF_Lure_AddAltPowerBar(self)
	oUF_Lure_AddPowerBar(self)
	oUF_Lure_AddPowerBarTextPower(self)
	oUF_Lure_AddPowerBarTextPercent(self)
	oUF_Lure_AddPowerBarTextLevel(self)
	oUF_Lure_AddRaidIcons(self)
	oUF_Lure_AddBuffs(self)
	oUF_Lure_AddDebuffs(self)
	oUF_Lure_AddCastBar(self)
	oUF_Lure_AddHealPrediction(self)
	oUF_Lure_AddDebuffHighLight(self)
end

local function LayoutFocus(self, unit)
	oUF_Lure_SetupFrame(self)
	self:SetSize(frame_width, frame_height)
	self:SetPoint('CENTER', -310, -390)
	oUF_Lure_AddHealthBar(self)
	oUF_Lure_AddHealthBarTextHealth(self)
	oUF_Lure_AddHealthBarTextNameLeft(self)
	oUF_Lure_AddHealthBarTextPercent(self)
	oUF_Lure_AddPowerBar(self)
	oUF_Lure_AddPowerBarTextPower(self)
	oUF_Lure_AddPowerBarTextPercent(self)
	oUF_Lure_AddPowerBarTextLevel(self)
	oUF_Lure_AddRaidIcons(self)
	oUF_Lure_AddBuffs(self)
	oUF_Lure_AddDebuffs(self)
	oUF_Lure_AddCastBar(self)
	oUF_Lure_AddHealPrediction(self)
	oUF_Lure_AddDebuffHighLight(self)
end

function oUF_Lure_SpawnCore(self)

	oUF:RegisterStyle('LurePlayer', LayoutPlayer)
	oUF:SetActiveStyle('LurePlayer')
	oUF:Spawn('player', 'oUF_player')
	
	oUF:RegisterStyle('LureTarget', LayoutTarget)
	oUF:SetActiveStyle('LureTarget')
	oUF:Spawn('target', 'oUF_target')
	
	oUF:RegisterStyle('LureTot', LayoutTot)
	oUF:SetActiveStyle('LureTot')
	oUF:Spawn('targettarget', 'oUF_targettarget')
	
	oUF:RegisterStyle('LurePet', LayoutPet)
	oUF:SetActiveStyle('LurePet')
	oUF:Spawn('pet', 'oUF_pet')

	oUF:RegisterStyle('LureFocus', LayoutFocus)
	oUF:SetActiveStyle('LureFocus')
	oUF:Spawn('focus', 'oUF_focus')
	
	oUF_Lure_ApplyOptions()
end
