--upvalues and variables--
local strformat = string.format
local memory
local memtimer = 0
----------------------------------------------


local sStats_mem, sStats_memText = sStats:CreateModule("mem")


sStats.RegisterCallback(sStats_mem, "sStats_Modules_Ready", function()

	--update script
	sStats_mem:SetScript("OnUpdate", function(self, elapsed)
			memtimer = memtimer + elapsed
			if memtimer >= 1 then
				memory = strformat("%.2f", collectgarbage("count")/1000)
				
				sStats:SetModuleText(sStats_memText, memory, " MB")
				memtimer = 0
			end
		end)

	--tooltips
	local tt = GameTooltip
	local tips
	sStats_mem:SetScript("OnEnter", function(self)
			if sStatsPCDB.charSpec then
				tips = sStatsPCDB.sStats_mem.tooltip
			else
				tips = sStatsDB.sStats_mem.tooltip
			end
			if tips then
				tt:SetOwner(self, "ANCHOR_TOPRIGHT")
				UpdateAddOnMemoryUsage()
				local addonMem = 0
				for i = 1, GetNumAddOns() do
					addonMem = addonMem + GetAddOnMemoryUsage(i)
				end
				addonMem = addonMem/1000
				tt:AddLine("Memory Stats")
				tt:AddDoubleLine("Total memory:", memory.." MB", 1,1,1,1,1,1)
				tt:AddDoubleLine("Addon memory:", strformat("%.2f MB",addonMem), 1,1,1,1,1,1)
				tt:AddDoubleLine("Blizzard memory:", strformat("%.2f MB",memory - addonMem), 1,1,1,1,1,1)
				GameTooltip:Show()
			end
		end)
	sStats_mem:SetScript("OnLeave", function() if tips then tt:Hide() end end)


	--adding custom options and saved variables
	sStatsDB.sStats_mem.tooltip = sStatsDB.sStats_mem.tooltip or true
	if sStatsPCDB.charSpec then
		sStatsPCDB.sStats_mem.tooltip = sStatsPCDB.sStats_mem.tooltip or true
	end
	sStatsOptionsTable.args.sStats_mem.args.tooltip = {
			name = "Show tooltip",
			desc = "Display the tooltip for this module.",
			type = "toggle",
			get = function()
						if sStatsPCDB.charSpec then
							return sStatsPCDB.sStats_mem.tooltip
						else
							return sStatsDB.sStats_mem.tooltip
						end
					end,
			set = function()
						if sStatsPCDB.charSpec then
							sStatsPCDB.sStats_mem.tooltip = not sStatsPCDB.sStats_mem.tooltip
						else
							sStatsDB.sStats_mem.tooltip = not sStatsDB.sStats_mem.tooltip
						end
					end,
		}

end)